<template lang="">
  <div class="post" >
    <div>
      <div>Title: <strong>{{post.title}}</strong></div>
      <div class="post__body">Body: <strong>{{post.body}}</strong></div>      
    </div>
    <div class="post__btns">
      <my-button @click="$router.push(`/posts/${post.id}`)">Open</my-button>
      <my-button @click="$emit('remove', post)">Delete</my-button>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    post: {
      type: Object,
      required: true
    }
  },
  emits: ['remove']
}
</script>

<style scoped>
  .post {
    padding: 15px;
    border: 2px solid teal;
    margin-top: 15px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    text-align: justify;
    text-justify: inter-word;
  }

  .post__body {
    margin: 10px;
  }

  .post__btns {
    display: flex;
  }
</style>